SystemOrganization addCategory: #ConfigurationOfMixpanel!

Object subclass: #ConfigurationOfMixpanel
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfMixpanel'!

!ConfigurationOfMixpanel class methodsFor: 'development support' stamp: 'ShoYoshida 4/3/2016 14:12'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfMixpanel class methodsFor: 'private' stamp: 'ShoYoshida 4/3/2016 14:12'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfMixpanel class methodsFor: 'private' stamp: 'ShoYoshida 4/3/2016 14:12'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfMixpanel class methodsFor: 'private' stamp: 'ShoYoshida 4/3/2016 14:12'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfMixpanel class methodsFor: 'metacello tool support' stamp: 'ShoYoshida 4/3/2016 14:12'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMixpanel class methodsFor: 'loading' stamp: 'ShoYoshida 4/3/2016 14:12'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfMixpanel class methodsFor: 'loading' stamp: 'ShoYoshida 4/3/2016 14:12'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfMixpanel class methodsFor: 'loading' stamp: 'ShoYoshida 4/3/2016 14:12'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfMixpanel class methodsFor: 'accessing' stamp: 'ShoYoshida 4/3/2016 14:12'!
project

	^self new project! !

!ConfigurationOfMixpanel class methodsFor: 'development support' stamp: 'ShoYoshida 4/3/2016 14:12'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfMixpanel methodsFor: 'baselines' stamp: 'ShoYoshida 4/3/2016 14:14'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'. 
		
		spec package: 'Neo-JSON-Core' with: [
			spec repository: 'http://mc.stfx.eu/Neo'. ].		
	].
! !

!ConfigurationOfMixpanel methodsFor: 'accessing' stamp: 'ShoYoshida 4/3/2016 14:12'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfMixpanel methodsFor: 'symbolic versions' stamp: 'ShoYoshida 4/3/2016 14:12'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #notDefined.
! !

!ConfigurationOfMixpanel methodsFor: 'accessing' stamp: 'ShoYoshida 4/3/2016 14:12'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfMixpanel methodsFor: 'accessing' stamp: 'ShoYoshida 4/13/2016 16:21'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.1.1'.! !

!ConfigurationOfMixpanel methodsFor: 'versions' stamp: 'ShoYoshida 4/13/2016 16:21'!
version011: spec 
	<version: '0.1.1' imports: #('0.1-baseline') >
	
	spec for: #common do: [
		spec package: 'Neo-JSON-Core' with: 'Neo-JSON-Core-SvenVanCaekenberghe.33'.
		spec
			baseline: 'Mixpanel' with: [ 
				spec repository:'github://newapplesho/mixpanel-smalltalk:v0.1.1/pharo-repository' ];
			import: 'Mixpanel' 
	]! !

!ConfigurationOfMixpanel methodsFor: 'versions' stamp: 'ShoYoshida 10/25/2016 15:47'!
version012: spec 
	<version: '0.1.2' imports: #('0.1-baseline') >
	
	spec for: #common do: [
		spec package: 'Neo-JSON-Core' with: 'Neo-JSON-Core-SvenVanCaekenberghe.33'.
		spec
			baseline: 'Mixpanel' with: [ 
				spec repository:'github://newapplesho/mixpanel-smalltalk:v0.1.2/pharo-repository' ];
			import: 'Mixpanel' 
	]! !

!ConfigurationOfMixpanel methodsFor: 'versions' stamp: 'ShoYoshida 4/3/2016 14:16'!
version01: spec 
	<version: '0.1' imports: #('0.1-baseline') >
	
	spec for: #common do: [
		spec package: 'Neo-JSON-Core' with: 'Neo-JSON-Core-SvenVanCaekenberghe.33'.
		spec
			baseline: 'Mixpanel' with: [ 
				spec repository:'github://newapplesho/mixpanel-smalltalk:v0.1/pharo-repository' ];
			import: 'Mixpanel' 
	]! !
